1 2 3 Previous Next 73 Replies Latest reply: Oct 19, 2009 7:47 AM by 728729 RSS

    R12 Installation Procedure to be followed.

    579285
      R12 INSTALLATION DOCUMENTATION & STEPS :

      To install R12 with Linux (64-bit), you need to have the following:
      *****************************************************
      - Linux 64-bit operating system
      - x86-64 hardware architecture
      - Red Hat Enterprise Linux 4.0 - Update 4 or higher (64-bit)
      - Kernel is 2.6.9-42.EL
      Note: 416305.1 - Oracle Applications Installation and Upgrade Notes Release 12 (12.0) for Linux (64-bit)


      To install R12 with Linux (32-bit), you need to have the following:
      *****************************************************
      - Linux 32-bit operating system
      - x86 / x86-64 hardware architectures
      - Red Hat Enterprise Linux 4.0 - Update 4 or higher (32-bit)
      - Kernel is 2.6.9-42.EL
      Note: 402310.1 - Oracle Applications Installation and Upgrade Notes Release 12 (12.0) for Linux (32-bit)

      ---------------------------------------------------------------------------------------------------------------------------------------

      Operating System Supported Versions
      ******************************
      The following table lists the supported operating system versions.
      ---------------------------------------------------------------------------------------------------------------------------------------
      Operating System Name                Supported Version
      ---------------------------------------------------------------------------------------------------------------------------------------
      Oracle Enterprise Linux           4.0 - Update 4 or higher (32-bit)
      Red Hat Enterprise Linux          3.0 - Update 4 or higher (32-bit)
      Red Hat Enterprise Linux           4.0 - Update 4 or higher (32-bit)
      SUSE Linux Enterprise Server      9 - SP3 or higher (32-bit)
      ---------------------------------------------------------------------------------------------------------------------------------------
      Kernel Requirements
      *****************
      The following table lists the required minimum kernel versions.
      ---------------------------------------------------------------------------------------------------------------------------------------
      Operating System                          Kernel                     Instructions
      ---------------------------------------------------------------------------------------------------------------------------------------
      Oracle Enterprise Linux                2.6.9-42.0.0.0.1.EL      To determine version, enter: $ uname - r
      Red Hat Enterprise Linux AS/ES 3.0     2.4.21-27.EL          To determine version, enter: $ uname - r
      Red Hat Enterprise Linux AS/ES 4.0      2.6.9-42.EL           To determine version, enter: $ uname - r
      SUSE Linux Enterprise Server 9           2.6.5-7.244           To determine version, enter: $ uname - r
      ---------------------------------------------------------------------------------------------------------------------------------------
      Required Packages
      ***************
      The following table lists the required packages and the minimum required versions for Linux (32-bit).
      ---------------------------------------------------------------------------------------------------------------------------------------
      Red Hat Enterprise Linux AS/ES 4.0*           

           glibc-2.3.4-2.25
                                              glibc-common-2.3.4-2.25
                                              binutils-2.15.92.0.2-21
                                              compat-libstdc++-296-2.96-132.7.2
                                              gcc-3.4.6-3
                                              gcc-c++-3.4.6-3
                                              libgcc-3.4.6-3      
                                              libstdc++-3.4.6-3
                                              libstdc++-devel-3.4.6-3
                                              openmotif21-2.1.30-11.RHEL4.6**
                                              pdksh-5.2.14-30.3
                                              setarch-1.6-1
                                              make-3.80-6.EL4
                                              gnome-libs-1.4.1.2.90-44.1
                                              sysstat-5.0.5-11.rhel4
                                              compat-db-4.1.25-9
                                              control-center-2.8.0-12.rhel4.5
                                              xscreensaver-4.18-5.rhel4.11
                                              libaio-0.3.105-2
                                              libaio-devel-0.3.105-2

      After installing these patches, run ldconfig -v.
      The openmotif package version numbering must be 2.1.30. For example, openmotif-2.2.3-10.RHEL4.5 is not supported.
      ---------------------------------------------------------------------------------------------------------------------------------------
      JDK 5.0 Requirements
      ******************
      JDK is bundled with Oracle Applications.

      The Following are the Settings Done in 111 Server for installing R12 in OEL 4.4

      1) In /home/oracle/.bash_profile

           umask 022
           LD_ASSUME_KERNEL=2.6.9-5
           export LD_ASSUME_KERNEL

      2) In /etc/sysctl.conf

           kernel.shmmax=2147483648
           kernel.shmmni=4096
           kernel.shmall=2097152
           kernel.sem=256 32000 100 142
           fs.file-max=65536
           net.ipv4.ip_local_port_range=1024 65000
           
           net.core.rmem_default=262144
           net.core.rmem_max=262144
           net.core.wmem_default=262144
           net.core.wmem_max=262144

      3) In /etc/resolv.conf

           search abc2.com
           nameserver 192.168.6.111

      4) In /etc/hosts

           127.0.0.1 localhost.localdomain localhost
           192.168.6.111 charan.abc2.com charan

      5) In /etc/sysconfig/network

           NETWORKING=yes
           HOSTNAME= charan.abc2.com

      6) In /etc/sysconfig/networking/profiles/default/network     

           The file has to be empty.

      7) In /etc/security/limits.conf

           * hard nofile 65535
           * soft nofile 4096
           * hard nproc 16384
           * soft nproc 2047

      8) Enable the HTTPD Service at O/S Level.

           $setup
                Select Services
                     Enable httpd (*)

      9) Apply the O/S Patch ( 4198954 )
                
           The compat-oracle-rhel4-1.0-3 and compat-libcwait-2.0-1 packages are available
           from Oracle Metalink Patch 4198954.

           While installing the patch you might receive the warning. It is a normal behaviour.

                rpm -ivh compat-libcwait-2.0-2.i386.rpm
                Preparing... ########################################### [100%]
                cat: /etc/ld.so.preload: No such file or directory
                1:compat-libcwait ########################################### [100%]

           You can receive following error at the time of linking the binaries if any of the above packages are      missed.

           /usr/lib/gcc/i386-redhat-linux/3.4.3/libgcc_s.so: undefined reference to `dl_iterate_phdr@GLIBC_2.2.4'
           collect2: ld returned 1 exit status

      10) Apply all the required Packages ( RPM's )

           Apply all 20 RPM's
                rpm -Uvh <PackageName>.rpm
                &
           Check the Package version
                rpm -q <PackageName>.rpm

           The first, critical, environment item is related to the gcc v3.2 and g++ v3.2 RPMs that were
           installed above. Run the following command to check the current gcc version...

      gcc -v

                Note :- RPM's can be downloaded from www.rpm.pbone.net


      10) Do the staging using adautostg.pl and choose the option1.

           It Will ask for the CD Distributions. Enter the Disks as per the Distribution.

      11) Apply Patch 5885627.

           The most current version of the Rapid Install wizard is 12.0.0.22. You can obtain this version by      applying patch 5885627.

           unzip the patch, this will create a folder ( startCD ). Copy this folder and paste it in the Stage area i.e.,      Overwrite the existing ( startCD ).

      12) Run the RapidWiz

           It will open a Installation screen,and then select the appropriate options. Once everything is through, It will display a Pre-Install Check Screen where all options has to be in GREEN symbol. Else Check the error log and fix the appropriate problem and Repeat RapidWiz again.
           
           Once the Pre-Install Check is Fine. click the Install Button.

      13) Once the Installation is complete, it shows the Post-Install Screen, where all options has to be in GREEN      symbol. Else Check the error log and fix the appropriate problem and click the Retry button.

      14) Up the Database and Apps.

      15) Download the JRE 1.5.0_x Oracle E-Business Suite interoperability patch from MetaLink.

           JRE Version           Interop Patch Number
           1.5.0_12           4377566

      16) Download the JRE 5.0 (JRE 1.5.0_12) Native Plug-In

           download the JRE Plug-in file from Sun at, http://java.sun.com/j2se/1.5.0/download.jsp.

           Select the Java Runtime Environment (JRE) 5.0 Update 12 link.

           Download the Windows Offline Installation, Multi-language version of the Plug-in.

      17) Rename the downloaded JRE Native Plugin file from jre-1_5_0_x-windows-i586-p.exe to j2se150xx.exe

      18) Move the j2se150x.exe file to the webserver and place it in the                                    $COMMON_TOP/webapps/oacore/util/jinitiator directory.

      19) Apply the Interoperability Patch Apply the JRE 1.5.0_12 interoperability patch (4377566) by following the      steps below;

           i) Enable Maintenance Mode
                To enable maintenance mode please follow the steps below;

           ii) Shutdown Apache
                Shutdown Apache (on normal mode) by running adapcctl.sh stop or by running adstpall.sh                                                             <apps_user>/<apps_password>

           iii) Enable 'Maintenance Mode' from adadmin
                Enable 'Maintenance Mode' from adadmin, (Select menu option 5 -> Change Maintenance Mode           ->Select menu option 1 -> Enable Maintenance Mode)

           iv) Apply the JRE Interoperability Patch (UNIX Users only) (If Required)
                Applying the JRE Interoperability Patch for the first time is a two stage process:

                a) Apply the patch driver in the interop patch using AutoPatch.
                     If you have applied this patch driver previously and only want to alter the version of JRE                you are using, there is no need to apply it again.

                b) Run the txkSetPlugin.sh Script
                     Run the $FND_TOP/bin/txkSetPlugin.sh script against the web node of your middle tier.

                     This script must be run using the following command :-
                          txkSetPlugin.sh <jversion>

                     Where: <jversion> represents the JRE version you wish to install, without decimal points                or underscores. (e.g. 15012)

                     For example: using JRE 1.5.0_12 the command would be :-

                          txkSetPlugin.sh 15012

                The script will prompt you for the following values, if it does not find then automatically:

                     Location of APPSORA.env file, if not present in the default location $APPL_TOP
                     Location of the AutoConfig Context File (If the context file found by the script is correct                                         you may press the return key at the prompt).
                     Password for the APPS User in the database

      20 ) Disable Maintenance Mode
           After applying the patch, you must disable Maintenance Mode if it was enabled.
                i) Disable 'Maintenance Mode' through adadmin
                     Select menu option 5 > Change Maintenance Mode > Menu option 2 > Disable                                                                  Maintenance Mode
                ii) Restart Apache
                     Restart Apache (on normal mode) by running adapcctl.sh start or adstrtal.sh                                                                  <apps_user>/<apps_pwd>

      21) To make clients access Database, follow the following lines.
           $TNS_ADMIN= < path of tnsnames.ora>
           $export TNS_ADMIN

      ===========================================================

      CLIENT CONFIGURATION
      *******************************

      METHOD-1
      1) Install jre-1_5_0_12-windows-i586-p.exe in the CLIENT machine's.


      METHOD-2
      1) Enable the Java Console on your PC through the 'Java Control Panel' by clicking on the 'Java' icon within      your desktops 'Control Panel'.
      2) Select the 'Advanced' Tab and expand the 'Java Console' field, then ensure the 'Show Console' option is
           selected.
      3) Logon to Oracle E-Business Suite (any instance you just updated), and choose a Forms-based (Professional
      user interface) responsibility.
      4) It will launch an Installation Screen of J2SE 1.5.0_12. Click Accept. It will install J2SE 1.5.0_12 in your
      client machine. Once the installation is complete, all IE windows that are open will be closed.
      5) Goto ControlPanel -> Java. Open and Select the 'Advanced' Tab and expand the 'Java Console' field, then
      ensure the 'Hide Console' option is selected.
      6) Open IE and LOGON, your R12 Forms screen will open.

      ******************************************************************************************
      THE END
      ******************************************************************************************

      Last but not least -> Don't forget to apply Oracle E-Business Suite interoperability patch - 4377566 .

      without applying this patch your RBS-R12 is not complete and even errors may arise.

      In a short time i will upload the steps of applying RUP patch.


      regards,
      CHARAN BABU R.N.
        1 2 3 Previous Next